# Flexible Views

## Introduction

Issue Handling is done on Drupal.org:
[Drupal Project Page](https://www.drupal.org/project/flexible_views)

This module adds better usability and some improvements to the Core
Views module by providing some new features:

<ul>
  <li>Views format plugin: Flexible Table</li>
<li>Exposed Filter: Visible Column Selector</li>
<li>Exposed form style: Manual selection</li>
</ul>

With the flexible table and column selector plugins, the users can
choose which columns they want to see or to hide. You can define
different compositions of columns in a views table layout.

<img
src="https://www.drupal.org/files/flexible-views-column-selector_0.png"
alt="Flexible Views: Column Selector with Flexible Tables plugin"
/>

With the Manual Selection exposed filter plugin, the user can choose
exposed filters from a select list. This way a view with a lot of
exposed filters keeps to be clean and clear. You only choose the filters
you need. Additionally, you can define filters which should be always
visible:

<img
src="https://www.drupal.org/files/flexible-views-manual-selection_0.png"
alt="Flexible Views: Manual selection plugin"
/>

<strong>Docs will be available soon!</strong>

## Requirements

This module requires the following modules:

 * Views

## Installation

Install as you would normally install a contributed Drupal module.
Visit
https://www.drupal.org/docs/8/extending-drupal-8/installing-drupal-8-modules
for further information.

## Configuration

Please see the documentation:
https://www.drupal.org/docs/8/modules/flexible-views.

## Maintainers

Current maintainer:
 * David Bätge (daveiano) - https://www.drupal.org/u/daveiano
